/*
 * Copyright (C) 2007 NetXen Inc.
 * 
 * All rights reserved.
 * 
 * The code contained in this file has been developed by NetXen Inc.
 * 
 * By downloading, compiling or using the code in any form, you agree to be bound
 * by the following terms:
 * 
 * 1) You may compile the unmodified source code file and reproduce and install
 * the resulting binary code file solely for your internal use with NetXen Inc.
 * hardware and systems you have purchased.
 * 
 * 2) Except as expressly permitted herein or in a separately signed agreement,
 * any other use, reproduction, distribution, modification, display, creation
 * of derivative works or circulation of the code is strictly prohibited.  You
 * may not transfer the code or assign your rights or obligations hereunder
 * without the prior written consent of NetXen Inc.
 * 
 * 3) This file contains confidential, proprietary and trade secret information
 * of NetXen Inc. and may not be disclosed to any third party or used for any
 * other purpose, except as expressly permitted herein.
 * 
 * 4) THIS SOFTWARE IS PROVIDED “AS IS” AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL NETXEN INC.
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.  THE APPLICATION OF THE UNITED NATIONS CONVENTION
 * ON CONTRACTS FOR THE INTERNATIONAL SALE OF GOODS IS HEREBY DISCLAIMED.
 * 
 * If you do not agree to the foregoing terms, you may not download, use or
 * compile this code in any form and must promptly delete or destroy all copiesi
 * of the code you have downloaded, compiled or reproduced.
 * 
 * Contact Information:
 * licensing@netxen.com
 * NetXen Inc.
 * 3965 Freedom Circle, Fourth Floor
 * Santa Clara, CA 95054
 * 
 */
#ifndef _driver_info_h_
#define _driver_info_h_
#define DRIVER_NAME            "netxen_nic"
#define TOE_DRIVER_NAME                "netxen_toe"
#define DRIVER_VERSION_STRING  "NetXen Driver version "

#include "unm_brdcfg.h"

static const unm_brdinfo_t unm_boards[] = {
                     {UNM_BRDTYPE_P2_SB31_10G_CX4,  1, "XGb CX4"},
                     {UNM_BRDTYPE_P2_SB31_10G_HMEZ, 2, "XGb HMEZ"},
                     {UNM_BRDTYPE_P2_SB31_10G_IMEZ, 2, "XGb IMEZ"},
                     {UNM_BRDTYPE_P2_SB31_10G,      1, "XGb XFP"},
                     {UNM_BRDTYPE_P2_SB35_4G,       4, "Quad Gb"},
                     {UNM_BRDTYPE_P2_SB31_2G,       2, "Dual Gb"},
                    };
#define DRIVER_AUTHOR          "NetXen"
#define DRIVER_DESCRIPTION     "NetXen Multi port (1/10) Gigabit Network Driver"
#define TOE_DRIVER_DESCRIPTION "NetXen TOE Driver"

#endif
