/*
 * Copyright (C) 2007 NetXen Inc.
 * 
 * All rights reserved.
 * 
 * The code contained in this file has been developed by NetXen Inc.
 * 
 * By downloading, compiling or using the code in any form, you agree to be bound
 * by the following terms:
 * 
 * 1) You may compile the unmodified source code file and reproduce and install
 * the resulting binary code file solely for your internal use with NetXen Inc.
 * hardware and systems you have purchased.
 * 
 * 2) Except as expressly permitted herein or in a separately signed agreement,
 * any other use, reproduction, distribution, modification, display, creation
 * of derivative works or circulation of the code is strictly prohibited.  You
 * may not transfer the code or assign your rights or obligations hereunder
 * without the prior written consent of NetXen Inc.
 * 
 * 3) This file contains confidential, proprietary and trade secret information
 * of NetXen Inc. and may not be disclosed to any third party or used for any
 * other purpose, except as expressly permitted herein.
 * 
 * 4) THIS SOFTWARE IS PROVIDED “AS IS” AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL NETXEN INC.
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.  THE APPLICATION OF THE UNITED NATIONS CONVENTION
 * ON CONTRACTS FOR THE INTERNATIONAL SALE OF GOODS IS HEREBY DISCLAIMED.
 * 
 * If you do not agree to the foregoing terms, you may not download, use or
 * compile this code in any form and must promptly delete or destroy all copiesi
 * of the code you have downloaded, compiled or reproduced.
 * 
 * Contact Information:
 * licensing@netxen.com
 * NetXen Inc.
 * 3965 Freedom Circle, Fourth Floor
 * Santa Clara, CA 95054
 * 
 */
/*
 * (C) Copyright Universal Network Machines 2004 - 2005
 * This code is distributed under FreeBSD license
 */

#ifndef	_RDMA_TYPES_H_
#define	_RDMA_TYPES_H_

/*
 * Machine specific typedefs first: establish primitive typedefs for
 * 1b, 2b, 4b and 8b scalars; using "long long" for 64bits works on
 * Pegasus, Casper and x86 (and possibly most other architectures).
 */

/*
 * Generic helper types, set by convention.
 */
typedef unsigned char rdma_bool_t;
typedef int rdma_status_t;
typedef u8 rdma_wcstatus_t;
typedef int rdma_pbl_size_t;
typedef int rdma_pdid_t;
typedef u32 rdma_cqid_t;
typedef u32 rdma_stgid_t;
typedef u16 rdma_qpid_t;
typedef int rdma_cqhdlid_t;
typedef u64 rnic_uid_t;

/*
 * RNIC specific types based on primitive types; RDMA spec, RNIC or host
 * architecture dependent.
 */
typedef u32 rdma_stag_t;
typedef u8 rdma_stag_key_t;
typedef u64 rdma_dmaaddr_t;		/* allows 8Gb memory and PCI DAC */
typedef u32 rdma_fbo_t;		/* allows 4M page sizes and beyond */
typedef u32 rdma_bufsize_t;		/* allows 4M page sizes and beyond */
typedef u64 rdma_len_t;		/* allows > 4Gb regions */
typedef u64 rdma_tag_offset_t;	/* allows 64 bit virtual addresses */
typedef u32 rdma_maxnum_t;		/* allows > 128K QPs and CQs */
typedef u16 rdma_cqsize_t;		/* allows 64K CQEs */
typedef u16 rdma_qpsize_t;		/* allows 64K WQEs */
typedef u16 rdma_winnum_t;		/* allows 64K Memory Windows */

/*
 * Possible values for rdma_bool_t: as a verb input, only RDMA_FALSE is
 * relevant, and non zero values are treated as RDMA_TRUE, but the RI
 * itself uses 1 to represent RDMA_TRUE.
 */
#define	RDMA_FALSE	0
#define	RDMA_TRUE	1

#ifndef NULL
#define	NULL		0
#endif	/* !NULL */

#endif	/* _RDMA_TYPES_H_ */
